| Kea 3.0.2-git

isc::cryptolink::ossl Namespace Reference

## Classes
class | SecBuf
| Secure Buffers which are wiped out when released. More...

## Functions
const EVP_MD * | getHashAlgorithm (isc::cryptolink::HashAlgorithm algorithm)
| Decode the HashAlgorithm enum into an EVP_MD pointer (or 0).

## Function Documentation

## ◆ getHashAlgorithm()

const EVP_MD * isc::cryptolink::ossl::getHashAlgorithm | ( | isc::cryptolink::HashAlgorithm | algorithm | ) |

Decode the HashAlgorithm enum into an EVP_MD pointer (or 0).

EVP_MD pointer is a OpenSSL's way of identifying hash algorithms

Parameters

  algorithm | algorithm to be converted

Returns
  pointer to a static EVP_MD which identifies the algorithm

Definition at line 24 of file openssl_hash.cc.

References isc::cryptolink::MD5, isc::cryptolink::SHA1, isc::cryptolink::SHA224, isc::cryptolink::SHA256, isc::cryptolink::SHA384, isc::cryptolink::SHA512, and isc::cryptolink::UNKNOWN_HASH.

Referenced by isc::cryptolink::HashImpl::HashImpl(), and isc::cryptolink::HMACImpl::HMACImpl().